Bug 19467 - Hard crash when dragging (enabling) modules on this page
Summary: Hard crash when dragging (enabling) modules on this page
Status: RESOLVED DUPLICATE of bug 19716
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh Intel OS X 10.5
: P1 Normal
Assignee: Nobody
URL: http://chyrp.net/webkit/admin/?action...
Keywords: InRadar
: 177380 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-06-10 13:31 PDT by Alex Suraci
Modified: 2020-02-10 09:46 PST (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Suraci 2008-06-10 13:31:33 PDT
I've allowed Guests to enable/disable modules at this URL so that you can see the crash firsthand. I am on nightly WebKit r34469, but this crash may have existed before.

There are unrelated errors in the console log (they're from drawing those conflict lines), I think you can ignore those.

The JavaScript related to this is the function "extend_draggables" at http://chyrp.net/webkit/includes/admin.js.php?action=extend_modules . I've narrowed down the crash to using the "action" variable in the callback function for $.post. The "type" variable is also affected, but it doesn't cause a crash. For some reason its value is assigned to "-498531038".
Comment 1 Alex Suraci 2008-06-10 15:47:50 PDT
Crash report:

Process:         Safari [33539]
Path:            /Applications/WebKit.app/Contents/MacOS/WebKit
Identifier:      org.webkit.nightly.WebKit
Version:         r34469 (34469)
Code Type:       X86 (Native)
Parent Process:  launchd [119]

Date/Time:       2008-06-10 18:49:46.847 -0400
OS Version:      Mac OS X 10.5.3 (9D34)
Report Version:  6

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x00000000e8042444
Crashed Thread:  0

Thread 0 Crashed:
0   com.apple.JavaScriptCore      	0x003bb827 KJS::Machine::privateExecute(KJS::Machine::ExecutionFlag, KJS::ExecState*, KJS::RegisterFile*, KJS::Register*, KJS::ScopeChainNode*, KJS::CodeBlock*, KJS::JSValue**) + 15351
1   com.apple.JavaScriptCore      	0x003bf978 KJS::Machine::execute(KJS::FunctionBodyNode*, KJS::ExecState*, KJS::FunctionImp*, KJS::JSObject*, KJS::List const&, KJS::RegisterFileStack*, KJS::ScopeChainNode*, KJS::JSValue**) + 760
2   com.apple.JavaScriptCore      	0x0030218f KJS::FunctionImp::callAsFunction(KJS::ExecState*, KJS::JSObject*, KJS::List const&) + 127
3   com.apple.WebCore             	0x010d9874 WebCore::ScheduledAction::execute(WebCore::JSDOMWindowShell*) + 676
4   com.apple.WebCore             	0x0119a798 WebCore::JSDOMWindowBase::timerFired(WebCore::DOMWindowTimer*) + 72
5   com.apple.WebCore             	0x0119a978 WebCore::DOMWindowTimer::fired() + 40
6   com.apple.WebCore             	0x011083b9 WebCore::TimerBase::fireTimers(double, WTF::Vector<WebCore::TimerBase*, 0ul> const&) + 137
7   com.apple.WebCore             	0x01108482 WebCore::TimerBase::sharedTimerFired() + 162
8   com.apple.WebCore             	0x010edc14 WebCore::timerFired(__CFRunLoopTimer*, void*) + 68
9   com.apple.CoreFoundation      	0x910c5b3e CFRunLoopRunSpecific + 4494
10  com.apple.CoreFoundation      	0x910c5cf8 CFRunLoopRunInMode + 88
11  com.apple.HIToolbox           	0x91d88da4 RunCurrentEventLoopInMode + 283
12  com.apple.HIToolbox           	0x91d88bbd ReceiveNextEventCommon + 374
13  com.apple.HIToolbox           	0x91d88a31 BlockUntilNextEventMatchingListInMode + 106
14  com.apple.AppKit              	0x9329f505 _DPSNextEvent + 657
15  com.apple.AppKit              	0x9329edb8 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 128
16  com.apple.Safari              	0x000086be 0x1000 + 30398
17  com.apple.AppKit              	0x93297df3 -[NSApplication run] + 795
18  com.apple.AppKit              	0x93265030 NSApplicationMain + 574
19  com.apple.Safari              	0x000ba4d6 0x1000 + 758998

Thread 1:
0   libSystem.B.dylib             	0x9606968e __semwait_signal + 10
1   libSystem.B.dylib             	0x9609436d pthread_cond_wait$UNIX2003 + 73
2   com.apple.WebCore             	0x00df673f WebCore::IconDatabase::syncThreadMainLoop() + 239
3   com.apple.WebCore             	0x00df6855 WebCore::IconDatabase::iconDatabaseSyncThread() + 181
4   libSystem.B.dylib             	0x960936f5 _pthread_start + 321
5   libSystem.B.dylib             	0x960935b2 thread_start + 34

Thread 2:
0   libSystem.B.dylib             	0x96062506 semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib             	0x9609484f _pthread_cond_wait + 1244
2   libSystem.B.dylib             	0x960960d3 pthread_cond_timedwait_relative_np + 47
3   com.apple.Foundation          	0x95826e8c -[NSCondition waitUntilDate:] + 236
4   com.apple.Foundation          	0x95826ca0 -[NSConditionLock lockWhenCondition:beforeDate:] + 144
5   com.apple.Foundation          	0x95826c05 -[NSConditionLock lockWhenCondition:] + 69
6   com.apple.AppKit              	0x93305470 -[NSUIHeartBeat _heartBeatThread:] + 753
7   com.apple.Foundation          	0x957e0f1d -[NSThread main] + 45
8   com.apple.Foundation          	0x957e0ac4 __NSThread__main__ + 308
9   libSystem.B.dylib             	0x960936f5 _pthread_start + 321
10  libSystem.B.dylib             	0x960935b2 thread_start + 34

Thread 3:
0   libSystem.B.dylib             	0x960624a6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x96069c9c mach_msg + 72
2   com.apple.CoreFoundation      	0x910c50be CFRunLoopRunSpecific + 1806
3   com.apple.CoreFoundation      	0x910c5cf8 CFRunLoopRunInMode + 88
4   com.apple.CFNetwork           	0x9664cafe CFURLCacheWorkerThread(void*) + 396
5   libSystem.B.dylib             	0x960936f5 _pthread_start + 321
6   libSystem.B.dylib             	0x960935b2 thread_start + 34

Thread 4:
0   libSystem.B.dylib             	0x960624ee semaphore_wait_signal_trap + 10
1   libSystem.B.dylib             	0x96094866 _pthread_cond_wait + 1267
2   libSystem.B.dylib             	0x960da371 pthread_cond_wait + 48
3   com.zang.RegexKit             	0x00710961 RKFastConditionLock + 663
4   com.zang.RegexKit             	0x00719efa -[RKThreadPool workerThreadStart:] + 436
5   com.apple.Foundation          	0x957e0f1d -[NSThread main] + 45
6   com.apple.Foundation          	0x957e0ac4 __NSThread__main__ + 308
7   libSystem.B.dylib             	0x960936f5 _pthread_start + 321
8   libSystem.B.dylib             	0x960935b2 thread_start + 34

Thread 5:
0   libSystem.B.dylib             	0x960624ee semaphore_wait_signal_trap + 10
1   libSystem.B.dylib             	0x96094866 _pthread_cond_wait + 1267
2   libSystem.B.dylib             	0x960da371 pthread_cond_wait + 48
3   com.zang.RegexKit             	0x00710961 RKFastConditionLock + 663
4   com.zang.RegexKit             	0x00719efa -[RKThreadPool workerThreadStart:] + 436
5   com.apple.Foundation          	0x957e0f1d -[NSThread main] + 45
6   com.apple.Foundation          	0x957e0ac4 __NSThread__main__ + 308
7   libSystem.B.dylib             	0x960936f5 _pthread_start + 321
8   libSystem.B.dylib             	0x960935b2 thread_start + 34

Thread 6:
0   libSystem.B.dylib             	0x960624a6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x96069c9c mach_msg + 72
2   com.apple.CoreFoundation      	0x910c50be CFRunLoopRunSpecific + 1806
3   com.apple.CoreFoundation      	0x910c5cf8 CFRunLoopRunInMode + 88
4   com.apple.Foundation          	0x95844460 +[NSURLConnection(NSURLConnectionReallyInternal) _resourceLoadLoop:] + 320
5   com.apple.Foundation          	0x957e0f1d -[NSThread main] + 45
6   com.apple.Foundation          	0x957e0ac4 __NSThread__main__ + 308
7   libSystem.B.dylib             	0x960936f5 _pthread_start + 321
8   libSystem.B.dylib             	0x960935b2 thread_start + 34

Thread 7:
0   libSystem.B.dylib             	0x960b25e2 select$DARWIN_EXTSN + 10
1   libSystem.B.dylib             	0x960936f5 _pthread_start + 321
2   libSystem.B.dylib             	0x960935b2 thread_start + 34

Thread 0 crashed with X86 Thread State (32-bit):
  eax: 0x00000000  ebx: 0x003b7c41  ecx: 0x0fc9a6f8  edx: 0x10425c1c
  edi: 0x0fc9a6ec  esi: 0xe8042444  ebp: 0xbfffe698  esp: 0xbfffdc10
   ss: 0x0000001f  efl: 0x00010246  eip: 0x003bb827   cs: 0x00000017
   ds: 0x0000001f   es: 0x0000001f   fs: 0x00000000   gs: 0x00000037
  cr2: 0xe8042444

Binary Images:
    0x1000 -   0x133fef  com.apple.Safari 3.1.1 (5525.20) <4869cc1f3ee39145836097e9470d9036> /Applications/Safari.app/Contents/MacOS/Safari
  0x17b000 -   0x17cffc +WebKitNightlyEnabler.dylib ??? (???) /Applications/WebKit.app/Contents/Resources/WebKitNightlyEnabler.dylib
  0x181000 -   0x24bfef  com.apple.WebKit 527+ (527+) /Applications/WebKit.app/Contents/Frameworks/10.5/WebKit.framework/Versions/A/WebKit
  0x2e0000 -   0x2efff8  SyndicationUI ??? (???) <edde0133829971dbd8a0f3473cdb85fc> /System/Library/PrivateFrameworks/SyndicationUI.framework/Versions/A/SyndicationUI
  0x2ff000 -   0x3e0ff7  com.apple.JavaScriptCore 527+ (527+) /Applications/WebKit.app/Contents/Frameworks/10.5/JavaScriptCore.framework/Versions/A/JavaScriptCore
  0x436000 -   0x436fff +com.ksuther.chax.loader ??? (2.1.2) <a2d160ba56402ff732104924f802fa6f> /Library/InputManagers/Chax/Chax.bundle/Contents/MacOS/Chax
  0x44b000 -   0x44dfff +net.culater.SIMBL 0.8.2 (8) /Library/InputManagers/SIMBL/SIMBL.bundle/Contents/MacOS/SIMBL
  0x4a7000 -   0x4b0fff +net.sourceforge.SafariAdBlock 0.3.2 (0.3.2) <83d3f111f660be3866ff42427e0bd1c9> /Library/InputManagers/Safari AdBlock/Safari AdBlock.bundle/Contents/MacOS/Safari AdBlock
  0x700000 -   0x73dfe3 +com.zang.RegexKit 0.6.0 (0.6.0) /Library/InputManagers/Safari AdBlock/Safari AdBlock.bundle/Contents/Frameworks/RegexKit.framework/Versions/A/RegexKit
  0xbce000 -  0x131efff  com.apple.WebCore 527+ (527+) /Applications/WebKit.app/Contents/Frameworks/10.5/WebCore.framework/Versions/A/WebCore
 0xaac3000 -  0xabe1ff7  com.apple.RawCamera.bundle 2.0.6 (2.0.6) <c1827b6058c0368f23005d9f6e7d2f82> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
 0xf333000 -  0xf338ff3  libCGXCoreImage.A.dylib ??? (???) <32265ec157db98a33c5dcf0e6687dec2> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXCoreImage.A.dylib
 0xf511000 -  0xf512ffc  com.apple.JavaPluginCocoa 12.1.0 (12.1.0) <d21a12c5668d4d89bfe492a5223a75cc> /Library/Internet Plug-Ins/JavaPluginCocoa.bundle/Contents/MacOS/JavaPluginCocoa
 0xf602000 -  0xf607fff  com.apple.DictionaryServiceComponent 1.1 (1.1) <8edc1180f52db18e9ddfb4e95debe61b> /System/Library/Components/DictionaryService.component/Contents/MacOS/DictionaryService
 0xfda5000 -  0xfdaaffd  com.apple.JavaVM 12.1.0 (12.1.0) <25c546c36e5bed978579d281080ab4c8> /System/Library/Frameworks/JavaVM.framework/Versions/A/JavaVM
0x10217000 - 0x10218ff3  ATSHI.dylib ??? (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/ATSHI.dylib
0x8fe00000 - 0x8fe2da53  dyld 96.2 (???) <7af47d3b00b2268947563c7fa8c59a07> /usr/lib/dyld
0x90003000 - 0x9000cfff  com.apple.speech.recognition.framework 3.7.24 (3.7.24) <d3180f9edbd9a5e6f283d6156aa3c602> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x900e2000 - 0x900f1ffe  com.apple.DSObjCWrappers.Framework 1.2.1 (1.2.1) <eac1c7b7c07ed3148c85934b6f656308> /System/Library/PrivateFrameworks/DSObjCWrappers.framework/Versions/A/DSObjCWrappers
0x900f2000 - 0x9012bffe  com.apple.securityfoundation 3.0 (32989) <e9171eda22c69c884a04a001aeb526e0> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
0x9012c000 - 0x90163fff  com.apple.SystemConfiguration 1.9.2 (1.9.2) <8b26ebf26a009a098484f1ed01ec499c> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x90164000 - 0x90216ffb  libcrypto.0.9.7.dylib ??? (???) <330b0e48e67faffc8c22dfc069ca7a47> /usr/lib/libcrypto.0.9.7.dylib
0x90217000 - 0x90251fff  com.apple.coreui 1.1 (61) /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x90283000 - 0x90302ff5  com.apple.SearchKit 1.2.0 (1.2.0) <277b460da86bc222785159fe77e2e2ed> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x90303000 - 0x90482fff  com.apple.AddressBook.framework 4.1.1 (695) <24a448ba4f9f784189bd3183e3474d81> /System/Library/Frameworks/AddressBook.framework/Versions/A/AddressBook
0x90483000 - 0x905a7fe3  com.apple.audio.toolbox.AudioToolbox 1.5.1 (1.5.1) /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x905a8000 - 0x905d0fff  libcups.2.dylib ??? (???) <ece20dff2a2c8ed3ae6ef735ef440c37> /usr/lib/libcups.2.dylib
0x908f8000 - 0x90907fff  libsasl2.2.dylib ??? (???) <b9e1ca0b6612e280b6cbea6df0eec5f6> /usr/lib/libsasl2.2.dylib
0x9091c000 - 0x90bf6ff3  com.apple.CoreServices.CarbonCore 786.4 (786.4) <059c4803a7a95e3c1a95a332baeb1edf> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x90bf7000 - 0x90c0bff3  com.apple.ImageCapture 4.0 (5.0.0) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x90c51000 - 0x90c92fe7  libRIP.A.dylib ??? (???) <c8d988d3880d7268468112c64c626d86> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x90c93000 - 0x90d72fff  libobjc.A.dylib ??? (???) <a53206274b6c2d42691f677863f379ae> /usr/lib/libobjc.A.dylib
0x90d80000 - 0x90dfcfeb  com.apple.audio.CoreAudio 3.1.0 (3.1) <754f5c8a3a8c718c5f0005b001f729e2> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x90e0b000 - 0x90e67ff7  com.apple.htmlrendering 68 (1.1.3) <fe87a9dede38db00e6c8949942c6bd4f> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x90f31000 - 0x90f49fff  com.apple.openscripting 1.2.6 (???) <b8e553df643f2aec68fa968b3b459b2b> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x90fd7000 - 0x90fd7ffa  com.apple.CoreServices 32 (32) <2fcc8f3bd5bbfc000b476cad8e6a3dd2> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x90fd8000 - 0x91052ff8  com.apple.print.framework.PrintCore 5.5.3 (245.3) <222dade7b33b99708b8c09d1303f93fc> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x91053000 - 0x91185fff  com.apple.CoreFoundation 6.5.2 (476.13) <b633d15f2901d73670cb1475628df1b3> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x91187000 - 0x911bdfef  libtidy.A.dylib ??? (???) <f1d1742e06280444baa5637b209fd0af> /usr/lib/libtidy.A.dylib
0x9180f000 - 0x918f0ff7  libxml2.2.dylib ??? (???) <1baef3d4972ee789d8fa6c1fa44da45c> /usr/lib/libxml2.2.dylib
0x918f1000 - 0x9190cff3  libPng.dylib ??? (???) <c0484bec6e2432b406755591924fe664> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x9190d000 - 0x919bdfff  edu.mit.Kerberos 6.0.12 (6.0.12) <1dc515ebe407292db8e603938c72d4e8> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x919be000 - 0x91a89fff  com.apple.ColorSync 4.5.0 (4.5.0) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x91a8a000 - 0x91a8efff  libmathCommon.A.dylib ??? (???) /usr/lib/system/libmathCommon.A.dylib
0x91a8f000 - 0x91a9aff9  com.apple.helpdata 1.0 (14) /System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData
0x91a9b000 - 0x91a9bfff  com.apple.Carbon 136 (136) <7f03616ee9261fb42dc6e6dd77a6f01c> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x91a9c000 - 0x91ac9feb  libvDSP.dylib ??? (???) <b232c018ddd040ec4e2c2af632dd497f> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x91aca000 - 0x91ad4feb  com.apple.audio.SoundManager 3.9.2 (3.9.2) <0f2ba6e891d3761212cf5a5e6134d683> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x91ad5000 - 0x91ad5ff8  com.apple.Cocoa 6.5 (???) <e064f94d969ce25cb7de3cfb980c3249> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x91b07000 - 0x91b25ff3  com.apple.DirectoryService.Framework 3.5.3 (3.5.3) <a3277abd826960efb44258699adafc17> /System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
0x91c83000 - 0x91c85fff  com.apple.CrashReporterSupport 10.5.0 (156) <93487b929eb5df9fbeaaea00fe2010de> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
0x91c8b000 - 0x91ce5ff7  com.apple.CoreText 2.0.2 (???) <9fde11f84a72e890bbf2aa8b0b13b79a> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x91d59000 - 0x92060ff7  com.apple.HIToolbox 1.5.3 (???) <e36f5c553e5a32f64b7eb458dadadc71> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x92061000 - 0x92066fff  com.apple.backup.framework 1.0 (1.0) /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
0x92067000 - 0x92077fff  com.apple.speech.synthesis.framework 3.7.1 (3.7.1) <06d8fc0307314f8ffc16f206ad3dbf44> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x92078000 - 0x92078ffd  com.apple.Accelerate.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x9215a000 - 0x924f0fff  com.apple.QuartzCore 1.5.3 (1.5.3) <1b65c05f89e81a499302fd63295b242d> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x92572000 - 0x9257afff  com.apple.DiskArbitration 2.2.1 (2.2.1) <75b0c8d8940a8a27816961dddcac8e0f> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x9257b000 - 0x92602ff7  libsqlite3.0.dylib ??? (???) <6978bbcca4277d6ae9f042beff643f7d> /usr/lib/libsqlite3.0.dylib
0x92603000 - 0x92635fff  com.apple.LDAPFramework 1.4.3 (106) <3a5c9df6032143cd6bc2658a9d328d8e> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
0x9276e000 - 0x9276effd  com.apple.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x9276f000 - 0x92c42ffe  libGLProgrammability.dylib ??? (???) <475db64244e011cd8811e076035b2632> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x92c43000 - 0x92d28ff3  com.apple.CoreData 100.1 (186) <8e28162ef2288692615b52acc01f8b54> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x92d2e000 - 0x92de8fe3  com.apple.CoreServices.OSServices 226.3 (226.3) <456bdd65b936baf1ef497b74b4f960a8> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x92de9000 - 0x92e75ff7  com.apple.LaunchServices 289.2 (289.2) <3577886e3a6d56ee3949850c4fde76c9> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x92e76000 - 0x92f09ff3  com.apple.ApplicationServices.ATS 3.3 (???) <064eb6d96417afa38a80b1735c4113aa> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x92f0a000 - 0x92f28fff  libresolv.9.dylib ??? (???) <0629b6dcd71f4aac6a891cbe26253e85> /usr/lib/libresolv.9.dylib
0x92f29000 - 0x92f51ff7  com.apple.shortcut 1 (1.0) <057783867138902b52bc0941fedb74d1> /System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut
0x92f52000 - 0x92f5dfe7  libCSync.A.dylib ??? (???) <8011fc1963cebdde0c6f101dbee5afd7> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x92f5e000 - 0x92f89fe7  libauto.dylib ??? (???) <42d8422dc23a18071869fdf7b5d8fab5> /usr/lib/libauto.dylib
0x92f8a000 - 0x92f98ffd  libz.1.dylib ??? (???) <5ddd8539ae2ebfd8e7cc1c57525385c7> /usr/lib/libz.1.dylib
0x92fd8000 - 0x9311eff7  com.apple.ImageIO.framework 2.0.2 (2.0.2) <77dfee73f4c0d230425a5151ee0bce05> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x9311f000 - 0x93126ffe  libbsm.dylib ??? (???) <d25c63378a5029648ffd4b4669be31bf> /usr/lib/libbsm.dylib
0x93195000 - 0x9319afff  com.apple.CommonPanels 1.2.4 (85) <ea0665f57cd267609466ed8b2b20e893> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x9319b000 - 0x931bbff2  libGL.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x931bc000 - 0x931d2fe7  com.apple.CoreVideo 1.5.0 (1.5.0) <bad2d3a9a92fdecd02e64f0b73a76f27> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x931d3000 - 0x931d3ff8  com.apple.ApplicationServices 34 (34) <8f910fa65f01d401ad8d04cc933cf887> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x931d4000 - 0x9321efe1  com.apple.securityinterface 3.0 (32532) <f521dae416ce7a3bdd594b0d4e2fb517> /System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface
0x9321f000 - 0x9325efef  libTIFF.dylib ??? (???) <6d0f80e9d4d81f3f64c876aca005bd53> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x9325f000 - 0x93a5cfef  com.apple.AppKit 6.5.3 (949.33) <84b236f43802f4c15011513d18efa101> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x93a5d000 - 0x93c2afe7  com.apple.security 5.0.3 (33532) <3bef414f3c6f433e707ac5abee340e16> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x93c2b000 - 0x93c32fe9  libgcc_s.1.dylib ??? (???) <f53c808e87d1184c0f9df63aef53ce0b> /usr/lib/libgcc_s.1.dylib
0x93cc1000 - 0x93cc5fff  libGIF.dylib ??? (???) <d4234e6f5e5f530bdafb969157f1f17b> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x93cc6000 - 0x93d23ffb  libstdc++.6.dylib ??? (???) <04b812dcec670daa8b7d2852ab14be60> /usr/lib/libstdc++.6.dylib
0x93d97000 - 0x94433fff  com.apple.CoreGraphics 1.351.31 (???) <c97a42498636b2596764e48669f98e00> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x94434000 - 0x944fbff2  com.apple.vImage 3.0 (3.0) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x944fc000 - 0x944fcffb  com.apple.installserver.framework 1.0 (8) /System/Library/PrivateFrameworks/InstallServer.framework/Versions/A/InstallServer
0x944fd000 - 0x94509fe7  com.apple.opengl 1.5.6 (1.5.6) <125de77ea2434a91364e79a0905a7771> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x9450a000 - 0x94570ffb  com.apple.ISSupport 1.7 (38) /System/Library/PrivateFrameworks/ISSupport.framework/Versions/A/ISSupport
0x94571000 - 0x945afff7  libGLImage.dylib ??? (???) <093b1b698ca93a0380f5fa262459ea28> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x945c8000 - 0x9465bfff  com.apple.ink.framework 101.3 (86) <bf3fa8927b4b8baae92381a976fd2079> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x9465c000 - 0x946b5ff7  libGLU.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x946b6000 - 0x946dafeb  libssl.0.9.7.dylib ??? (???) <acee7fc534674498dcac211318aa23e8> /usr/lib/libssl.0.9.7.dylib
0x946db000 - 0x9470afe3  com.apple.AE 402.2 (402.2) <e01596187e91af5d48653920017b8c8e> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x94715000 - 0x94717fff  com.apple.securityhi 3.0 (30817) <32d1c581312dbe0c408578df99661f96> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x94718000 - 0x94718ffd  com.apple.Accelerate 1.4.2 (Accelerate 1.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x94719000 - 0x94720ff7  libCGATS.A.dylib ??? (???) <9b29a5500efe01cc3adea67bbc42568e> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x957d2000 - 0x957d5fff  com.apple.help 1.1 (36) <b507b08e484cb89033e9cf23062d77de> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x957d6000 - 0x95a51fe7  com.apple.Foundation 6.5.5 (677.19) <bfd4ebea1a7739dd6b523f15dca01a37> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x95a52000 - 0x95e10fea  libLAPACK.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x95ed2000 - 0x95fd3fef  com.apple.PubSub 1.0.3 (65.1.1) /System/Library/Frameworks/PubSub.framework/Versions/A/PubSub
0x95fd4000 - 0x95fe4ffc  com.apple.LangAnalysis 1.6.4 (1.6.4) <cbeb17ab39f28351fe2ab5b82bf465bc> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x96061000 - 0x961c1ff3  libSystem.B.dylib ??? (???) <a12f397abf2285077b89bd726bff5b18> /usr/lib/libSystem.B.dylib
0x961c2000 - 0x961c2ffc  com.apple.audio.units.AudioUnit 1.5 (1.5) /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x961c3000 - 0x961c5ff5  libRadiance.dylib ??? (???) <20eadb285da83df96c795c2c5fa20590> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x961c6000 - 0x96250fe3  com.apple.DesktopServices 1.4.6 (1.4.6) <94d1a28b351b7dff77becadab0967772> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x96346000 - 0x963edfeb  com.apple.QD 3.11.52 (???) <c72bd7bd2ce12694c3640a731d1ad878> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x963ee000 - 0x96404fff  com.apple.DictionaryServices 1.0.0 (1.0.0) <ad0aa0252e3323d182e17f50defe56fc> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x9646a000 - 0x964b0fef  com.apple.Metadata 10.5.2 (398.18) <adbb3a14e8f7da444e16d2fd61862771> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x964b1000 - 0x964d0ffa  libJPEG.dylib ??? (???) <0cfb80109d624beb9ceb3c43b6c5ec10> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x964e3000 - 0x96507fff  libxslt.1.dylib ??? (???) <4933ddc7f6618743197aadc85b33b5ab> /usr/lib/libxslt.1.dylib
0x96508000 - 0x96640ff7  libicucore.A.dylib ??? (???) <5031226ea28b371d8dfdbb32acfb48b5> /usr/lib/libicucore.A.dylib
0x96641000 - 0x966c3ffb  com.apple.CFNetwork 330 (330) <6c5eda16e640b09334809ba4c1df985d> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x966c4000 - 0x96ad4fef  libBLAS.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x96ad5000 - 0x96b60fff  com.apple.framework.IOKit 1.5.1 (???) <60cfc4b175c4ef60bb8e9036716a29f4> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x96b67000 - 0x96ba9fef  com.apple.NavigationServices 3.5.2 (163) <91844980804067b07a0b6124310d3f31> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x96baa000 - 0x96bb0fff  com.apple.print.framework.Print 218.0.2 (220.1) <8bf7ef71216376d12fcd5ec17e43742c> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x96bb1000 - 0x96bb2ffc  libffi.dylib ??? (???) <a3b573eb950ca583290f7b2b4c486d09> /usr/lib/libffi.dylib
0x96c82000 - 0x96cfffef  libvMisc.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x96d00000 - 0x96d50ff7  com.apple.HIServices 1.7.0 (???) <f7e78891a6d08265c83dca8e378be1ea> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0xba900000 - 0xba916fff  libJapaneseConverter.dylib ??? (???) <b9dd2655f8262b5b870cab51b23ad18e> /System/Library/CoreServices/Encodings/libJapaneseConverter.dylib
0xfffe8000 - 0xfffebfff  libobjc.A.dylib ??? (???) /usr/lib/libobjc.A.dylib
0xffff0000 - 0xffff1780  libSystem.B.dylib ??? (???) /usr/lib/libSystem.B.dylib


Comment 2 Alexey Proskuryakov 2008-06-10 16:13:12 PDT
Confirmed with r34478.
Comment 3 Mark Rowe (bdash) 2008-06-13 14:52:23 PDT
<rdar://problem/6007106>
Comment 4 Cameron Zwarich (cpst) 2008-06-24 03:31:22 PDT
It seems that this works even in the 34503 nightly and onward. Alex, can you confirm this? Even if it is fixed, I may want to find the exact revision that fixes it and ensure that we have adequate test coverage.
Comment 5 Alex Suraci 2008-06-24 09:44:49 PDT
I tested from 34503 and onward and it only works in the latest, 34753. :)
Comment 6 Cameron Zwarich (cpst) 2008-06-24 10:45:48 PDT
You're right. If I play around with it long enough in earlier nightlies, I can get it to crash, although not always as easily as the first time I tried. Do you have something specific that always works?

I'll try to narrow down the exact revision, but if it only works in the latest nightly I have a pretty good idea of what fixed it.
Comment 7 Alex Suraci 2008-06-24 10:50:36 PDT
I was just dragging things over to "Enabled". I was dragging Cacher (and sometimes Markdown), if that matters.

On another note, I'm fairly certain that it's not the actual dragging that's causing the crash, but the redrawing of the red conflict lines. That part's fixed in later versions of this software and it works fine, with no crash. Regardless, having the browser crash is still less than optimal.
Comment 8 Cameron Zwarich (cpst) 2008-06-24 13:57:37 PDT
I can reproduce this consistently with nightlies before r34753 by right clicking when I stop dragging. It works in r34503, so the likely fix is r34751, which fixed bug 19716.

If I understand the code correctly at first glance, the drop function is called directly by native code as a callback on an event. Can you confirm this? I don't know much about jQuery. The actions variable is referenced by the $.post function, so if there was an exception during the callback that unwound to the top (which it seems likely, since there are lots of errors on the console), this would be an instance of bug 19716.
Comment 9 Alex Suraci 2008-06-24 14:45:25 PDT
Yes, it is a callback used when dropping the draggable.
Comment 10 Cameron Zwarich (cpst) 2008-06-24 14:46:53 PDT
Marking this a duplicate of bug 19716. Thanks for reporting it, Alex!

*** This bug has been marked as a duplicate of 19716 ***
Comment 11 Jacob Uphoff 2020-02-10 09:46:26 PST
*** Bug 177380 has been marked as a duplicate of this bug. ***